Bug 121284 - Dictionary quality issues
Summary: Dictionary quality issues
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2018-11-08 16:59 UTC by NARAYAN
Modified: 2018-11-12 11:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot of example of faulty dictionary (35.55 KB, image/png)
2018-11-08 17:00 UTC, NARAYAN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NARAYAN 2018-11-08 16:59:17 UTC
Description:
When dictionary is set to English usa or English UK/British, it appears that the dictionary is not properly stocked with reference words / and examples. Attached is a screen shot of what I am facing with.
Many common words, anagrams, abbreviations are missing or wrong.

Steps to Reproduce:
1.Open swriter, type a few sentences, words, abbreviations, few hyphenated words
2. Check on those spell check says is wrong.
3. See suggested corrections offered . The choice of corrections are not accurate most of the time. 

Actual Results:
i look up spelling on google or other dictionaries and manually correct them

Expected Results:
Auto correct function , spell check functions ,though minor, becomes quite a annoying factor


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NARAYAN 2018-11-08 17:00:29 UTC
Created attachment 146450 [details]
Screen shot of example of faulty dictionary
Comment 2 NARAYAN 2018-11-08 17:04:41 UTC
Pre Approved, Pre-Approved, Pre-Ordered, Pre-Order are some of the words that are highlighted as wrong and suggested replacement for that word is entirely wrong.
Comment 3 Marc Schröder 2018-11-09 14:06:13 UTC
CONFIRMED on Windows 10 and LibreOffice 6.2.0.0.alpha1 (x64)
Comment 4 Dieter Praas 2018-11-09 14:14:13 UTC
(In reply to Marc Schröder from comment #3)
> CONFIRMED on Windows 10 and LibreOffice 6.2.0.0.alpha1 (x64)

Marc, if you can confirm a bug, you can change bug status to NEW.

=> NEW because of comment 3
Comment 5 Marco A.G.Pinto 2018-11-09 15:27:51 UTC
[15:24] <marcoagpinto> ahhhhh
[15:24] <marcoagpinto> pre-approved isn't in the speller
[15:24] <marcoagpinto> Oxford doesn't have that word, and Collins says it is one word "preapproved"
[15:25] <marcoagpinto> the easiest fix will be adding the word "pre" to the speller
[15:25] <marcoagpinto> it is a valid word according to Oxford
[15:25] <marcoagpinto> but it will only be available in 6.3 or if in January the people downloads the .oxt from the official site
[15:25] <marcoagpinto> bearon: ^^
[15:27] <marcoagpinto> 41275) pre
[15:27] <marcoagpinto> added!!!!
Comment 6 NARAYAN 2018-11-09 15:40:54 UTC
The intent of this bug report is not just to fix one spelling mistake, but to evaluate the entire dictionary database to see where the words come from.
Comment 7 Marco A.G.Pinto 2018-11-09 15:47:39 UTC
(In reply to NARAYAN from comment #6)
> The intent of this bug report is not just to fix one spelling mistake, but
> to evaluate the entire dictionary database to see where the words come from.

Yes, and I have just fixed it:
I added "pre" to the GB speller, so, if it is used with an hyphen, words won't be flagged:
pre-test
pre-reform
pre-word


But I am only the GB maintainer, for the other spellers, please open a case in Kevin Atkinson's GitHub:
https://github.com/en-wl/wordlist

Anyway, LibreOffice only updates the spellers in each major release, so this will only be available in 6.3 since 6.2 has closed commits.

You can however download the OXT in January since I update every two months.
Comment 8 NARAYAN 2018-11-09 16:44:38 UTC
Please don't close this bug at as I will provide a list of few other hyphenated words that can be hard coded
Comment 9 Xisco Faulí 2018-11-12 11:04:59 UTC
(In reply to Marco A.G.Pinto from comment #7)
> 
> Anyway, LibreOffice only updates the spellers in each major release, so this
> will only be available in 6.3 since 6.2 has closed commits.
> 

What do you mean by 'closed commits' ? LibreOffice 6.2 is still under development and the the branch off is due to this week -> https://wiki.documentfoundation.org/ReleasePlan/6.2
Comment 10 Marco A.G.Pinto 2018-11-12 11:35:01 UTC
(In reply to Xisco Faulí from comment #9)
> (In reply to Marco A.G.Pinto from comment #7)
> > 
> > Anyway, LibreOffice only updates the spellers in each major release, so this
> > will only be available in 6.3 since 6.2 has closed commits.
> > 
> 
> What do you mean by 'closed commits' ? LibreOffice 6.2 is still under
> development and the the branch off is due to this week ->
> https://wiki.documentfoundation.org/ReleasePlan/6.2


Xisco, Áron Budea told me that the spellers are only updated in major releases to avoid issues with backporting, so I only commit twice a year in Gerrit... May and November?
Comment 11 Xisco Faulí 2018-11-12 11:46:10 UTC
@Marco, so you gonna commit it now, in November ?
Comment 12 Marco A.G.Pinto 2018-11-12 11:48:08 UTC
(In reply to Xisco Faulí from comment #11)
> @Marco, so you gonna commit it now, in November ?

I already committed the November version, a few days before the official date:
https://extensions.libreoffice.org/extensions/english-dictionaries